<?php

use yii\db\Migration;

/**
 * Handles the creation of table `odctor`.
 */
class m180531_104933_create_doctor_table extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('doctor', [
            'id' => $this->primaryKey(),
            'service_id' => $this->integer(),
            'status' => $this->boolean(),
            'sort' => $this->integer(),
            'image_id' => $this->integer()
        ]);
        
        $this->addForeignKey('doctor_service_fk',
                            'doctor',
                            'service_id',
                            'service',
                            'id',
                            'SET NULL',
                            'CASCADE');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('doctor');
    }
}
